<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
	"http://www.w3.org/TR/html4/strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<title>Ubacoda.com - Serializing Data</title>
	</head>
	
	<style type="text/css">
		body{font-size:14px; font-family:"Lucida Grande","Hiragino Kaku Gothic Pro","ヒラギノ角ゴ Pro W3","ＭＳ Ｐゴシック","Lucida Sans Unicode",Arial,Verdana,sans-serif;}
		table{border-collapse:collapse; width:200px;}
		table, th, td{border:1px solid #ccc;}
		th,td{padding:5px; text-align:center;}
		th{background-color:#F1F1F1;}
		code{border:1px dotted #ccc; padding:5px; background-color:#F1F1F1;}
	</style>
	
	<body>
		
		<?php
			$serializedArray = $_REQUEST["serializedArray"]; 
		 	$unserializedArray = unserialize(stripslashes($serializedArray));  
		?>

		<h2>Serialized Data</h2>
		<?php echo '<code>'.$serializedArray.'</code>';?>
	
		<h2>Unserialized Data</h2>
		<code><?php print_r($unserializedArray); ?></code>

		<h2>Unserialized Data in a Table</h2>
		<table>
			<th>Key</th>
			<th>Value</th>

		<?php
			foreach ($unserializedArray as $key => $value) {
				echo "<tr><td>".$key."</td><td>".$value."</td></tr>";
			}
		?>

		</table>
		<br />
		<a href="serialize.php">Back</a>
	</body>
<html>